> For the complete documentation index, see [llms.txt](https://docs.servoy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.servoy.com/reference/extension-dev/component_services/typescript-webpackage.md).

# Tools and Dev Tips to use for Component/Service developement

In an Eclipse based developer (like Servoy Developer) you can install Wild Web Developer throught the Market place. This will handle angular projects like TS, HTML (with angular tags) but also stuff like CSS/LESS

Also Visual Studio Code can be used to develop stuff.

Servoy will not build by default the changes you make in component or service code, for that you need to run on the command line the nmp command "npm run build\_debug" in the directory that you can see in the Titanium Build Console:

"Total time to check/install Titanium NG target folder: yourworkspacefolder.metadata.plugins\com.servoy.eclipse.ngclient.ui\target\the\_solution\_name"

Also for source builds Servoy needs to know where it can find the sources, for this you need a .sourcepath file:

```json
{
"srcDir": "projects/svyidle",
"apiFile": "src/public-api"
}
```

the srcDir should point to the source directory (so not the distribution build like Entry-Point in the manifest or service spec file) the apFile should point to the public-api.ts file (without ts) which exports all stuff that should be seen by servoy (public exposed stuff)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.servoy.com/reference/extension-dev/component_services/typescript-webpackage.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
